Create empty sphinx project
02/07/2014 04:22 PM - J. Wienke

Status: Resolved Start date: 02/07/2014
Priority: Normal Due date:
Assignee: S. Sharma % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

    1. Create an "empty" sphinx documentation project by adapting the build system essentials tutorial.
    2. One it works, check into https://code.cor-lab.org/git/tutorials.git.software-installation without subfolder

History
#1 - 02/12/2014 07:52 PM - S. Sharma

getting know how of making a new spinx project

#2 - 02/13/2014 05:50 PM - S. Sharma
- % Done changed from 0 to 10

#3 - 02/13/2014 05:53 PM - S. Sharma

not able to log time here , I have entered time for this task but its not shown in the main page..

#4 - 02/13/2014 06:27 PM - J. Moringen

I think, the time has been logged fine. When I visit this page, it says "Spent time:    3.00 hours".

Where did you expect the logged time to be shown, but could not find it?

#5 - 02/13/2014 08:44 PM - S. Sharma

I am still not able to see spent time  near '%Done' for this task , but for other tasks I can see the spent time

#6 - 02/13/2014 09:07 PM - J. Moringen

Maybe there is a bug in Redmine. You can demonstrate the problem to us when we next meet. We will try to find a solution then.

#7 - 02/24/2014 04:06 PM - S. Sharma

I have added an initial shinx project to the git empty project(https://code.cor-lab.org/git/tutorials.git.software-installation).
I have commited it but not pushed it yet , shall  I commit it as well ?
How can I see my committed changes on the server(like this https://code.cor-lab.org/projects/tutorials/repository) ?
#8 - 02/24/2014 04:09 PM - S. Sharma

Suchit Sharma wrote:
editing the comment

I have added an initial shinx project to the git empty project(https://code.cor-lab.org/git/tutorials.git.software-installation).
I have commited it but not pushed it yet , shall  I push it as well ?
How can I see my committed changes on the server(like this https://code.cor-lab.org/projects/tutorials/repository) ?

#9 - 02/24/2014 04:15 PM - S. Sharma
- % Done changed from 10 to 90

#10 - 02/24/2014 04:16 PM - J. Moringen

Thanks for the update.

Suchit Sharma wrote:

I have added an initial shinx project to the git empty project(https://code.cor-lab.org/git/tutorials.git.software-installation).
I have commited it but not pushed it yet , shall  I commit it as well ?

Before you push for the first time, nothing will appear on the server. This is the reason for https://code.cor-lab.org/git/tutorials.git.software-installation
currently being empty.

If you have some initial work in your local repository, you can push it to the server repository.

How can I see my committed changes on the server(like this https://code.cor-lab.org/projects/tutorials/repository) ?

After you commit your work and push, it will appear on the server, e.g. at https://code.cor-lab.org/projects/tutorials/repository (note that this particular
page shows multiple repositories. You will have to select the "software-installation" repository).

#11 - 02/24/2014 04:42 PM - S. Sharma

I think I dont have rights to push to the repository , it gives authentication error.
fatal: Authentication failed

#12 - 02/24/2014 04:56 PM - J. Moringen

Suchit Sharma wrote:

I think I dont have rights to push to the repository , it gives authentication error.
fatal: Authentication failed

Sorry, I updated your permissions. Please try again.
#13 - 02/24/2014 07:34 PM - S. Sharma

Thanks,its working now.

#14 - 02/24/2014 10:02 PM - J. Moringen

Suchit Sharma wrote:

Thanks,its working now.

Good.

I noticed your username for the first commit is "dragon".

Please change your git user configuration (or repository configuration) to use your real name. Otherwise it is hard for us to keep track of what is
happening. See, for example, http://git-scm.com/book/en/Getting-Started-First-Time-Git-Setup.

#15 - 02/26/2014 12:35 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 90 to 100
